Error comprobación instalación Easy-Macro

Desarrollo de Macros y programación en UNO, usar las API, llamar programas externos...

Error comprobación instalación Easy-Macro

Notapor Sailacos » Vie May 11, 2018 9:13 am

Saludos

He seguido los pasos de su video acerca de la instalación de easy-macro, y al intentar correr la macro para probar si está bien instalado me da el error que adjunto:
Por favor, ¿qué estoy haciendo mal?, supongo que si esta prueba no funciona, no funcionará ninguna otra cosa.
El código del archivo es el siguiente:

Código: Seleccionar todo   Expandir vistaContraer vista
from libo import LIBO

def main():
   app = LIBO()

   app.msgbox(app.VERSION)
   return


Gracias de antemano y espero poder resolver este pequeño problema.
Adjuntos
error.jpg
error.jpg (77.74 KiB) Visto 1888 veces
OpenOffice 4.1.5 en Windows 7
Sailacos
 
Mensajes: 4
Registrado: Vie May 11, 2018 8:53 am

Re: Error comprobación instalación Easy-Macro

Notapor mauricio » Vie May 11, 2018 3:35 pm

Hola...

Tal vez en los ultimos cambios que he hecho, agregue algo incompatible con OpenOffice que usa Python2, la línea donde marca el error la veo correcta, pero dejame validarlo con OpenOffice... cada vez es más complicado mantener compatbilidad con ambas aplicaciones, la verdad es que si OpenOffice no migra pontro a python3 tendremos, será dificil mantenerla, PY2 debe morir, ya...

Saludos
______________________________________________
"Todo cuanto no podemos dar nos posee". - André Gide
AOO 4.1 | LibO 5.4 | ArchLinux | Gnome3
No respondo preguntas privadas, por favor, usa el foro
Avatar de Usuario
mauricio
 
Mensajes: 5646
Registrado: Sab Nov 22, 2008 5:36 am
Ubicación: México, D.F.

Re: Error comprobación instalación Easy-Macro

Notapor mauricio » Jue May 24, 2018 2:44 am

Pues si, es lo que me temía, ya tenemos muchas incompatibilidades.
Estamos a un paso de que muera Py2: https://pythonclock.org/

No se que tanto convenga darle soporte a OpenOffice con Py2, si OpenOffice en alguna momento migra a Py3, easy-macro tendrá soporte pleno, no se si hay usuarios de easy-macro sobre OpenOffice, dado este error, no creo que muchos, diría nadie.

¿Ustedes que opinan?
______________________________________________
"Todo cuanto no podemos dar nos posee". - André Gide
AOO 4.1 | LibO 5.4 | ArchLinux | Gnome3
No respondo preguntas privadas, por favor, usa el foro
Avatar de Usuario
mauricio
 
Mensajes: 5646
Registrado: Sab Nov 22, 2008 5:36 am
Ubicación: México, D.F.


Volver a Macros y API UNO

¿Quién está conectado?

Usuarios navegando por este Foro: No hay usuarios registrados visitando el Foro y 6 invitados